// ##Skybox##
// based on Turnpike Skybox by Tub
// Editet by V3ND3TTA to fit ut4_downtown2, no credits needed. =D
// Textures are default Urban Terror ones. (turnpike used for layout testing)

textures/ut4_downtown2/downtown_sky
{
	qer_editorimage textures/ut4_downtown2/downtown_sky.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	q3map_sun .94 .91 .95 400 180 60
	q3map_surfacelight 300
	q3map_lightsubdivide 512
        skyparms env/turnpike/tp_sky2 - -
	
}
// ##Lava##
// much thnx to Delirium` <3
textures/ut4_downtown2/lava
{
	qer_editorimage	textures/ut4_downtown2/lava.tga
	q3map_globaltexture
	q3map_lightsubdivide 32
	q3map_lightmapFilterRadius 0 8
	q3map_surfacelight 2500
	q3map_lightRGB 0.81 0.28 0.15
	qer_trans 0.5
	surfaceparm trans
	surfaceparm nolightmap
        	surfaceparm lava
	surfaceparm water 
        	cull disable			 //Light goes under the lava with this O_o
	fogparms ( 0.94 0.50 0.16 ) 512
	{
		map textures/ut4_downtown2/lava.tga
		blendFunc blend
		alphaGen const 0.5
		rgbGen identity
		tcMod scroll 0.01 -0.01
		tcMod turb 0.1 0.1 0.1 0.1
	}
	{
		map textures/ut4_downtown2/lava_glow.tga
		blendFunc add
		rgbGen wave sin 0 1 1 0.2
		alphaGen wave sin 0 1 0.4 0.2
		tcMod scroll 0.01 -0.01
		tcMod turb 0.1 0.1 0.1 0.1
	}
	{
		map textures/ut4_downtown2/lava.tga
		blendFunc blend
		alphaGen const 0.5
		rgbGen identity
		tcMod scale 0.5 0.5
		tcMod scroll 0.05 -0.01
		tcMod turb 0.1 0.1 0.5 0.1
	}
}
textures/ut4_downtown2/lava2
{
	qer_editorimage	textures/ut4_downtown2/lava.tga
        q3map_globaltexture
	q3map_lightsubdivide 32
	q3map_lightmapFilterRadius 0 8
	q3map_surfacelight 2500
	q3map_lightRGB 0.81 0.28 0.15
        qer_trans 0.5

        surfaceparm trans
	surfaceparm nolightmap
        surfaceparm lava
	surfaceparm water
        cull disable			 //Light goes under the lava with this O_o
	fogparms ( 0.94 0.50 0.16 ) 512
	{
		map textures/ut4_downtown2/lava.tga
		blendFunc gl_dst_color gl_one
		rgbGen identity
		tcMod scroll 0.01 -0.01
		tcMod turb 0.1 0.1 0.1 0.1
	}
	{
		map textures/ut4_downtown2/lava_glow.tga
		blendFunc add
		rgbGen wave sin 0 1 1 0.2
		alphaGen wave sin 0 1 0.4 0.2
		tcMod scroll 0.01 -0.01
		tcMod turb 0.1 0.1 0.1 0.1
	}
	{
		map textures/ut4_downtown2/lava.tga
		blendFunc gl_dst_color gl_one
		rgbGen identity
		tcMod scale 0.5 0.5
		tcMod scroll 0.05 -0.01
		tcMod turb 0.1 0.1 0.5 0.1
	}
}
textures/ut4_downtown2/lavacaulk
{
	qer_editorimage textures/ut4_downtown2/lavacaulk.tga
	qer_trans 0.5
	surfaceparm nodraw
	surfaceparm detail
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm lava
	surfaceparm water
}
// ##Textures##
// Door from Superman, ty Wily!
textures/ut4_downtown2/exec_door3
{
	qer_editorimage textures/ut4_downtown2/exec_door3.tga

	{
		map textures/ut4_downtown2/exec_door3.tga
	}
	{
		map textures/ut4_downtown2/window_glare2.jpg
		tcmod scale .5 .5
		tcGen environment
		blendfunc gl_dst_color gl_src_color
	}
	{
		map $lightmap
		blendfunc filter
	}
}
// ##Ladder##
// editorimage out of the urbanq3_misc2 folder
textures/ut4_downtown2/ladderclip
{
        qer_trans 0.40
        surfaceparm nolightmap
        surfaceparm nomarks
        surfaceparm nodraw
        surfaceparm nonsolid
        surfaceparm playerclip
        surfaceparm noimpact
        surfaceparm ladder
}
// ##Glassdisk##
// Blue, bright glass. Light swirl pattern to it.

textures/glass/blueglass
{
	surfaceparm nolightmap
	surfaceparm nonsolid
	cull twosided
	{
		map textures/glass/blueglass.tga
		tcGen environment
		tcMod turb 0 0.01 0 0.01	        
		tcmod scroll .0 .0
		blendfunc GL_ONE GL_ONE
                }
}
// ##Windows/Glass##
textures/ut4_downtown2/glass1

	{
	
	qer_editorimage textures/ut4_downtown2/glass1.tga
	qer_trans 0.2
	surfaceparm nolightmap
	cull twosided
        
		{
                  
		map textures/ut4_downtown2/glass1.tga
		tcGen environment
		tcMod turb 0 0.01 0 0.01
		tcmod scroll .01 .01
		blendfunc GL_ONE GL_ONE
		}
	}
// ##Plain Glass (Swat-Truck)##
// Foggy, stained glass with a cool chrome like finish when you walk by. 
textures/ut4_downtown2/darkglass
	{
	qer_trans .5
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm glass
	cull disable
		{
		map textures/effects/tinfx.tga
		tcgen environment
		blendfunc gl_one gl_one
		rgbGen identity
		}
		{
		map $lightmap
		blendFunc gl_dst_color gl_zero
		rgbgen identity
		}
	}
// ##Phong Glass (out of Imperial)
// same tex thing like above :| but parms different :D
// much thnx to slackin =D
textures/ut4_downtown2/phong_glass
	{
	q3map_nonplanar
	q3map_shadeangle 60
	qer_editorimage textures/ut4_downtown2/glass_phong.tga // this image will be different
	qer_trans .5
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm playerslip
	surfaceparm playerclip
	surfaceparm glass
	cull disable
		{
		map textures/effects/tinfx.tga
		tcgen environment
		blendfunc gl_one gl_one
		rgbGen identity
		}
			{
			map $lightmap
			blendFunc gl_dst_color gl_zero
			rgbgen identity
			}
	}
// ##Phong Wall##
// same like in Imperial, ty slack!
textures/ut4_downtown2/phong_wall
	{
	q3map_nonplanar
	q3map_shadeangle 60
	qer_editorimage textures/ut4_downtown2/wall_phong.tga // this image will be different
		{
		map $lightmap
		rgbGen identity
		}  
			{
			map textures/urban_terror/concrete5.tga
			blendFunc filter
			}
	}
// ##Under Construction Sign Test Shader##
textures/ut4_downtown2/under_construction
{
	{
	map textures/ut4_downtown2/under_construction.tga
	}
}
// ##Big Tower Glass shader. just for test, wanna see how it looks and is (:##
// Texture from cgtextures, thank you man! wonderful!
textures/ut4_downtown2/BuildingsHighRise0094_2_S
	{
	q3map_nonplanar
	q3map_shadeangle 60
	qer_editorimage textures/ut4_downtown2/BuildingsHighRise0094_2_S.jpg
	qer_trans .5
	surfaceparm playerslip
	surfaceparm playerclip
	surfaceparm glass
	cull disable
		{
		map textures/ut4_downtown2/BuildingsHighRise0094_2_S.jpg
		tcgen environment
		blendfunc gl_one gl_one
		rgbGen identity
		}
			{
			map $lightmap
			blendFunc gl_dst_color gl_zero
			rgbgen identity
			}
	}
// ##Water Shader##

textures/ut4_downtown2/water
{
 	qer_editorimage textures/ut4_downtown2/water.tga
        qer_trans 0.5
        q3map_globaltexture
 	q3map_cheapwater 1 0.9 0.9 1

        surfaceparm trans
 	surfaceparm noimpact
 	surfaceparm nolightmap
 	surfaceparm nomarks
 	surfaceparm nodlight
        surfaceparm water

        cull disable
 	nopicmip
       {
           map textures/ut4_downtown2/water.tga
           blendFunc gl_dst_color gl_one
           rgbGen identity
           tcMod scale 0.5 0.5
 	    tcMod turb 0.1 0.1 0.1 0.1
       }
       {
           map textures/ut4_downtown2/water.tga
           blendFunc gl_dst_color gl_one
           rgbGen identity
           tcMod scroll 0.05 -0.01
       }
       {
           map textures/ut4_downtown2/water.tga
           blendFunc gl_dst_color gl_one
           rgbGen identity
           tcMod scale 2 2
 	   tcMod turb 0 0.1 1 0.1
       }
 
}

textures/ut4_downtown2/water2
{
	qer_editorimage textures/ut4_downtown2/water.tga
        qer_trans 0.5
        q3map_globaltexture
	q3map_cheapwater 1 0.9 0.9 1

        surfaceparm trans
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nodlight
        surfaceparm water

        cull disable
	nopicmip
	//fogparms ( 0.1 0.23 0.14 ) 1024
        {
            map textures/ut4_downtown2/water.tga
            blendFunc blend
	    alphaGen const 0.1
            rgbGen identity
            tcMod scale 0.5 0.5
	    tcMod turb 0.1 0.1 0.1 0.1
        }
        {
            map textures/ut4_downtown2/water.tga
            blendFunc blend
	    alphaGen const 0.1
            rgbGen identity
            tcMod scroll 0.05 -0.01
        }
        {
            map textures/ut4_downtown2/water.tga
            blendFunc blend
	    alphaGen const 0.1
            rgbGen identity
            tcMod scale 2 2
	    tcMod turb 0 0.1 1 0.1
        }

}
textures/ut4_downtown2/watercaulk
{
	qer_editorimage textures/ut4_downtown2/watercaulk.tga
	qer_trans 0.5
	surfaceparm nodraw
	surfaceparm detail
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm water
}
// ##Neonlight Test Shader from boxcity (ryl)##
// 8o cunt! ~ry
textures/ut4_downtown2/neontube1
	{
	q3map_surfacelight 50000 // It works. stfu pl0x :P
	surfaceparm nomarks
		surfaceparm nonsolid
	qer_editorimage textures/ut4_downtown2/neontube1.jpg
		{
		map textures/ut4_downtown2/neontube1.jpg
		}
	}


// ##Hummer's Secret Image... find it :D##
textures/ut4_downtown2/dirt05gras_hummer
{
	polygonOffset
	nomipmaps
	nopicmip
	{
		clampmap textures/ut4_downtown2/dirt05gras_hummer
		blendFunc GL_ONE GL_ONE
	}
}


// ##Slicky Street :D happy lava jump :P##
textures/ut4_downtown2/road02_slick
{
	qer_editorimage textures/ut4_downtown2/road02_slick_ed.jpg
	surfaceparm slick
	{
	map textures/ut4_downtown2/road02_slick.jpg
	}
}


// ##Slicky Street no2 :D happy lava jump :P##
textures/ut4_downtown2/s8s_concrete-1_slick
{
	qer_editorimage textures/ut4_downtown2/s8s_concrete-1_slick_ed.jpg
	surfaceparm slick
	{
	map textures/ut4_downtown2/s8s_concrete-1_slick.jpg
	}
}


// ##Water Flow Test Shader##
textures/ut4_downtown2/water_flow
{
	qer_editorimage textures/ut4_downtown2/water_flow.tga
	surfaceparm water
	qer_nocarve
	qer_trans 0.3
	surfaceparm noimpact
	//surfaceparm nolightmap
	surfaceparm trans
	cull none

	{
		map textures/ut4_downtown2/water.jpg
		blendfunc gl_dst_color gl_one_minus_src_color
		tcmod scroll -1 0
	}
	{
		map textures/ut4_downtown2/water.jpg
		blendfunc gl_dst_color gl_src_color
		tcmod scroll -2 0
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
	}
}


